function love.load()
  Object = require "classic"
  require "planet"
  listOfPlanets = {}
  
  gravity = 10000
  --mass is how big the planets appear
  mass = 10
end

function love.mousepressed(mouse_x, mouse_y, button, istouch)
--create planet at mouse click
  local energy = 25
  vx = math.random(-energy, energy)
  vy = math.random(-energy, energy)
  table.insert(listOfPlanets, Planet(mouse_x, mouse_y, vx, vy))
end

function love.update(dt)
  --get the force on each planet
  for i1,v1 in ipairs(listOfPlanets) do
    --reset the acceleration of the planet in question
    v1.xAcceleration = 0
    v1.yAcceleration = 0
    --calculate the force for every other planet
    for i2,v2 in ipairs(listOfPlanets) do
      if i1 ~= i2 then
        local radius = math.sqrt((v2.x - v1.x)^2 + (v2.y - v1.y)^2)
        local force = gravity * radius ^ (-2)
        local angle = math.atan2(v2.y - v1.y, v2.x - v1.x)
        v1.xAcceleration = v1.xAcceleration + force * math.cos(angle)
        v1.yAcceleration = v1.yAcceleration + force * math.sin(angle)
      end
    end
  end
  --then update all planets
  for i,v in ipairs(listOfPlanets) do
    v:update(dt)
  end
end

function love.draw()
  --draw every planet
  for i,v in ipairs(listOfPlanets) do
    love.graphics.circle("line", v.x, v.y, mass)
    --love.graphics.line(v.x, v.y, v.x + v.xAcceleration, v.y + v.yAcceleration)
  end
  --run info
  love.graphics.print("Bodies: " .. tostring(#listOfPlanets) .. "\nFps: " .. tostring(1/love.timer.getAverageDelta()))
end

---[[
function love.run()
 
	if love.math then
		love.math.setRandomSeed(os.time())
	end
 
	if love.load then love.load(arg) end
 
	-- We don't want the first frame's dt to include time taken by love.load.
	if love.timer then love.timer.step() end
 
	local dt = 0
 
	-- Main loop time.
	while true do
		-- Process events.
		if love.event then
			love.event.pump()
			for name, a,b,c,d,e,f in love.event.poll() do
				if name == "quit" then
					if not love.quit or not love.quit() then
						return a
					end
				end
				love.handlers[name](a,b,c,d,e,f)
			end
		end
 
		-- Update dt, as we'll be passing it to update
		if love.timer then
			love.timer.step()
			dt = love.timer.getDelta()
		end
 
		-- Call update and draw
		if love.update then love.update(dt) end -- will pass 0 if love.timer is disabled
 
		if love.graphics and love.graphics.isActive() then
			love.graphics.clear(love.graphics.getBackgroundColor())
			love.graphics.origin()
			if love.draw then love.draw() end
			love.graphics.present()
		end
 
		--if love.timer then love.timer.sleep(0.001) end
	end
 
end
--]]