Planet = Object:extend()

function Planet:new(x,y,xVelocity,yVelocity)
  self.x = x
  self.y = y
  self.xVelocity = xVelocity
  self.yVelocity = yVelocity
  self.xAcceleration = 0
  self.yAcceleration = 0
end

function Planet:update(dt)
  local window_width = love.graphics.getWidth()
  local window_height = love.graphics.getHeight()
  
  --physics
  self.xVelocity = self.xVelocity + self.xAcceleration * dt
  self.yVelocity = self.yVelocity + self.yAcceleration * dt
  self.x = self.x + self.xVelocity * dt
  self.y = self.y + self.yVelocity * dt
  
  ---[[ bounce off the walls
  if self.x < 0 then
    self.xVelocity = math.abs(self.xVelocity)
  elseif self.y < 0 then
    self.yVelocity = math.abs(self.yVelocity)
  elseif self.x > window_width then
    self.xVelocity = -math.abs(self.xVelocity)
  elseif self.y > window_height then
    self.yVelocity = -math.abs(self.yVelocity)
  end
  --]]
  
  --[[ toroid
  self.x = self.x % window_width
  self.y = self.y % window_height
  --]]
  
  ---[[ speed cap
  local speedcap = 100
  self.xVelocity = math.min(math.max(-speedcap, self.xVelocity), speedcap)
  self.yVelocity = math.min(math.max(-speedcap, self.yVelocity), speedcap)
  --]]
end